package com.heyu.api.data.service.system;
/**
* <p>
* 问答配置表（问答关键字匹配表，该表中未匹配到的才会调用第三方语言模型） 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.system.SystemTalkAnswerConfigEntity;
public interface SystemTalkAnswerConfigService extends IService<SystemTalkAnswerConfigEntity> {



	SystemTalkAnswerConfigEntity selectSystemTalkAnswerConfigById(Long id);


	Long insertSystemTalkAnswerConfig(SystemTalkAnswerConfigEntity systemTalkAnswerConfig);


	Long insertOrUpdateSystemTalkAnswerConfig(SystemTalkAnswerConfigEntity systemTalkAnswerConfig);


	int updateSystemTalkAnswerConfigById(SystemTalkAnswerConfigEntity systemTalkAnswerConfig);


	int updateCoverSystemTalkAnswerConfigById(SystemTalkAnswerConfigEntity systemTalkAnswerConfig);


	int deleteSystemTalkAnswerConfigById(Long id);


}